
import 'package:flutter/material.dart';

class SwipeModel {
  final bool? data;
  final String? message;
  final String ?title;
  final String ?innerMessage;
  final int ?responseCode;
  final bool ?isSuccess;

  SwipeModel({
     this.data,
    this.message,
    this.title,
    this.innerMessage,
     this.responseCode,
    this.isSuccess,
  });

  factory SwipeModel.fromJson(Map<String, dynamic> json) {
    return SwipeModel(
      data: json['data'] as bool,
      message: json['message'] as String,
      title: json['title'] as String,
      innerMessage: json['innerMessage'] as String,
      responseCode: json['responseCode'] as int,
      isSuccess: json['isSuccess'] as bool,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'data': data,
      'message': message,
      'title': title,
      'innerMessage': innerMessage,
      'responseCode': responseCode,
      'isSuccess': isSuccess,
    };
  }


}

class Swipe {
  final int ?swipeTypeValue;
  final String? value;
  final double? latitude;
  final double? longitude;

  Swipe({
     this.swipeTypeValue,
    this.value,
   this.latitude,
    this.longitude,
  });

  Map<String, dynamic> toJson() {
    return {
      'swipeTypeValue': swipeTypeValue,
      'value': value,
      'latitude': latitude,
      'longitude': longitude,
    };
  }
}

